Bug 728247 - RHEL 6.1 Cluster schema included into cman package does not support suborg option for fence_cisco_ucs agent
Summary: RHEL 6.1 Cluster schema included into cman package does not support suborg op...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: cluster
Version: 6.1
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: rc
: ---
Assignee: Fabio Massimo Di Nitto
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On: 725722 726777
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-04 13:56 UTC by RHEL Product and Program Management
Modified: 2012-10-27 14:42 UTC (History)
11 users (show)

Fixed In Version: cluster-3.0.12-41.el6_1.2
Doc Type: Bug Fix
Doc Text:
Prior to this update, the "suborg" option was not allowed by the cluster configuration schema defined in the /usr/share/cluster/cluster.rng file. As a consequence, when the "suborg" option was specified for the fence_cisco_ucs agent, the cluster refused to validate the configuration schema. The "suborg" option is now properly recognized, which fixes the problem.
Clone Of:
Environment:
Last Closed: 2011-08-31 09:14:54 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1236 normal SHIPPED_LIVE cluster and gfs2-utils bug fix update 2011-08-31 09:14:48 UTC

Description RHEL Product and Program Management 2011-08-04 13:56:15 UTC
This bug has been copied from bug #726777 and has been proposed
to be backported to 6.1 z-stream (EUS).

Comment 4 Fabio Massimo Di Nitto 2011-08-05 11:43:47 UTC
http://git.fedorahosted.org/git/?p=cluster.git;a=commitdiff;h=63c82dd8e3977c9073e3e74967647b80bf777138

ad-hoc patch based on 6.2 auto-generated schema

Unit test results:

  <fencedevices>
    <fencedevice name="xvm" agent="fence_xvm"/>
    <fencedevice name="ucs" agent="fence_cisco_ucs" suborg="/foo/bar"/>
  </fencedevices>

Before updating the packages:

[root@rhel6-node2 cluster]# grep -C1 suborg /usr/share/cluster/cluster.rng 
[root@rhel6-node2 cluster]# ccs_config_validate 
Relax-NG validity error : Extra element fencedevices in interleave
tempfile:20: element fencedevices: Relax-NG validity error : Element cluster failed to validate content
Configuration fails to validate

Apply patch/update

[root@rhel6-node2 cluster]# grep -C1 suborg /usr/share/cluster/cluster.rng 
        <optional>
          <attribute name="suborg" rha:description="Additional path needed to access suborganization" />
        </optional>
[root@rhel6-node2 cluster]# ccs_config_validate 
Configuration validates

Comment 8 Eliska Slobodova 2011-08-09 08:56:41 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Prior to this update, the "suborg" option was not allowed by the cluster configuration schema defined in the /usr/share/cluster/cluster.rng file. As a consequence, when the "suborg" option was specified for the fence_cisco_ucs agent, the cluster refused to validate the configuration schema. The "suborg" option is now properly recognized, which fixes the problem.

Comment 10 errata-xmlrpc 2011-08-31 09:14:54 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-1236.html


Note You need to log in before you can comment on or make changes to this bug.